mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Runtime.InteropServices.ComVisible(true) To be added

Represents a handle that has been registered when calling . This class cannot be inherited.

- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Boolean ``

  If is specified, it is signaled only if the is successfully unregistered. If a callback method is in progress when executes, is not signaled until the callback method completes. In particular, if a callback method executes , is not signaled until that callback method completes.

  Cancels a registered wait operation issued by the method.

  true if the function succeeds; otherwise, false.

  The to be signaled.